// 菜单配置
// headerMenuConfig：头部导航配置
// asideMenuConfig：侧边导航配置

const headerMenuConfig = [
  {
    title: "基础管理",
    name: "base",
    icon: "icon-base",
  },
  {
    title: "用户管理",
    name: "user",
    icon: "icon-user",
  },
  {
    title: "考务管理",
    name: "business",
    icon: "icon-business",
  },
  {
    title: "监考管理",
    name: "invigilation",
    icon: "icon-invigilation",
  },
];

const baseMenuConfig = [
  {
    title: "基础管理",
    name: "Base",
    icon: "el-icon-menu",
    children: [
      {
        title: "基础管理",
        name: "Base",
      },
      {
        title: "监控页",
        name: "Base",
      },
      {
        title: "工作台",
        name: "Base",
      },
    ],
  },
];

const userMenuConfig = [
  {
    title: "用户管理",
    name: "User",
    icon: "el-icon-menu",
    children: [
      {
        title: "基础管理",
        name: "Base",
      },
      {
        title: "监控页",
        name: "Base",
      },
      {
        title: "工作台",
        name: "Base",
      },
    ],
  },
];

const businessMenuConfig = [
  {
    title: "考务管理",
    name: "Basiness",
    icon: "icon-business",
    children: [
      {
        title: "批次管理",
        name: "Base",
      },
      {
        title: "考生管理",
        name: "Base",
      },
      {
        title: "调卷规则",
        name: "Base",
      },
      {
        title: "学生档案设置",
        name: "Base",
      },
      {
        title: "考场监考设置",
        name: "Base",
      },
    ],
  },
  {
    title: "系统设置",
    name: "System",
    icon: "icon-business",
    children: [
      {
        title: "用户管理",
        name: "Base",
      },
      {
        title: "角色权限",
        name: "Base",
      },
      {
        title: "机构管理",
        name: "Base",
      },
    ],
  },
];

const invigilationMenuConfig = [
  {
    title: "考情监控",
    name: "Base",
    icon: "icon-exam-detail",
    children: [
      {
        title: "考情监控",
        name: "Base",
      },
      {
        title: "在线巡考",
        name: "Base",
      },
    ],
  },
  {
    title: "监考管理",
    name: "Base",
    icon: "icon-invigilation",
    children: [
      {
        title: "实时监控台",
        name: "Base",
      },
      {
        title: "监考明细管理",
        name: "Base",
      },
      {
        title: "预警提醒",
        name: "Base",
      },
      {
        title: "重考申请",
        name: "Base",
      },
      {
        title: "进度查询",
        name: "Base",
      },
    ],
  },
  {
    title: "重考审批",
    name: "Base",
    icon: "icon-reexam",
    children: [
      {
        title: "重考待审",
        name: "Base",
      },
      {
        title: "重考已审",
        name: "Base",
      },
    ],
  },
  {
    title: "查询统计",
    name: "Base",
    icon: "icon-invigilation",
    children: [
      {
        title: "考情综合报表分析",
        name: "Base",
      },
      {
        title: "考生端日志管理",
        name: "Base",
      },
    ],
  },
];

export {
  headerMenuConfig,
  baseMenuConfig,
  userMenuConfig,
  businessMenuConfig,
  invigilationMenuConfig,
};
